net.sf.jasperreports.engine.export

## Class JRXlsAbstractExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporterParameter

- Direct Known Subclasses:
    JExcelApiExporterParameter, JRXlsAbstractMetadataExporterParameter, JRXlsExporterParameter

  Deprecated.
  Replaced by `XlsExporterConfiguration`.

      public class JRXlsAbstractExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export in XLS format.

  The XLS exporter can send data to an output stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

  Version:
    $Id: JRXlsAbstractExporterParameter.java 6831 2014-01-22 14:26:06Z teodord $
  Author:
    Sanda Zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRExporterParameter` | `CREATE_CUSTOM_PALETTE` Deprecated. Replaced by `XlsExporterConfiguration.isCreateCustomPalette()`.
    `static JRExporterParameter` | `FORMAT_PATTERNS_MAP` Deprecated. Replaced by `XlsReportConfiguration.getFormatPatternsMap()`.
    `static JRXlsAbstractExporterParameter` | `IS_COLLAPSE_ROW_SPAN` Deprecated. Replaced by `XlsReportConfiguration.isCollapseRowSpan()`.
    `static JRXlsAbstractExporterParameter` | `IS_DETECT_CELL_TYPE` Deprecated. Replaced by `XlsReportConfiguration.isDetectCellType()`.
    `static JRXlsAbstractExporterParameter` | `IS_FONT_SIZE_FIX_ENABLED` Deprecated. Replaced by `XlsReportConfiguration.isFontSizeFixEnabled()`.
    `static JRXlsAbstractExporterParameter` | `IS_IGNORE_CELL_BACKGROUND` Deprecated. Replaced by `XlsReportConfiguration.isIgnoreCellBackground()`.
    `static JRXlsAbstractExporterParameter` | `IS_IGNORE_CELL_BORDER` Deprecated. Replaced by `XlsReportConfiguration.isIgnoreCellBorder()`.
    `static JRXlsAbstractExporterParameter` | `IS_IGNORE_GRAPHICS` Deprecated. Replaced by `XlsReportConfiguration.isIgnoreGraphics()`.
    `static JRXlsAbstractExporterParameter` | `IS_IMAGE_BORDER_FIX_ENABLED` Deprecated. Replaced by `XlsReportConfiguration.isImageBorderFixEnabled()`.
    `static JRXlsAbstractExporterParameter` | `IS_ONE_PAGE_PER_SHEET` Deprecated. Replaced by `XlsReportConfiguration.isOnePagePerSheet()`.
    `static JRXlsAbstractExporterParameter` | `IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` Deprecated. Replaced by `XlsReportConfiguration.isRemoveEmptySpaceBetweenColumns()`.
    `static JRXlsAbstractExporterParameter` | `IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Deprecated. Replaced by `XlsReportConfiguration.isRemoveEmptySpaceBetweenRows()`.
    `static JRXlsAbstractExporterParameter` | `IS_WHITE_PAGE_BACKGROUND` Deprecated. Replaced by `XlsReportConfiguration.isWhitePageBackground()`.
    `static JRExporterParameter` | `MAXIMUM_ROWS_PER_SHEET` Deprecated. Replaced by `XlsReportConfiguration.getMaxRowsPerSheet()`.
    `static JRXlsAbstractExporterParameter` | `PASSWORD` Deprecated. Replaced by `XlsReportConfiguration.getPassword()`.
    `static java.lang.String` | `PROPERTY_COLLAPSE_ROW_SPAN` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_COLLAPSE_ROW_SPAN`.
    `static java.lang.String` | `PROPERTY_CREATE_CUSTOM_PALETTE` Deprecated. Replaced by `XlsExporterConfiguration.PROPERTY_CREATE_CUSTOM_PALETTE`.
    `static java.lang.String` | `PROPERTY_DETECT_CELL_TYPE` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_DETECT_CELL_TYPE`.
    `static java.lang.String` | `PROPERTY_FONT_SIZE_FIX_ENABLED` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_FONT_SIZE_FIX_ENABLED`.
    `static java.lang.String` | `PROPERTY_IGNORE_CELL_BACKGROUND` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IGNORE_CELL_BACKGROUND`.
    `static java.lang.String` | `PROPERTY_IGNORE_CELL_BORDER` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IGNORE_CELL_BORDER`.
    `static java.lang.String` | `PROPERTY_IGNORE_GRAPHICS` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IGNORE_GRAPHICS`.
    `static java.lang.String` | `PROPERTY_IMAGE_BORDER_FIX_ENABLED` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IMAGE_BORDER_FIX_ENABLED`.
    `static java.lang.String` | `PROPERTY_MAXIMUM_ROWS_PER_SHEET` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_MAXIMUM_ROWS_PER_SHEET`.
    `static java.lang.String` | `PROPERTY_ONE_PAGE_PER_SHEET` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_ONE_PAGE_PER_SHEET`.
    `static java.lang.String` | `PROPERTY_PASSWORD` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_PASSWORD`.
    `static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS`.
    `static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`.
    `static java.lang.String` | `PROPERTY_SHEET_NAME` Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_SHEET_NAME`.
    `static java.lang.String` | `PROPERTY_SHEET_NAMES_PREFIX` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_SHEET_NAMES_PREFIX`.
    `static java.lang.String` | `PROPERTY_WHITE_PAGE_BACKGROUND` Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_WHITE_PAGE_BACKGROUND`.
    `static JRXlsAbstractExporterParameter` | `SHEET_NAMES` Deprecated. Replaced by `XlsReportConfiguration.getSheetNames()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRXlsAbstractExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IS_ONE_PAGE_PER_SHEET

          public static final JRXlsAbstractExporterParameter IS_ONE_PAGE_PER_SHEET

      Deprecated. Replaced by `XlsReportConfiguration.isOnePagePerSheet()`.

    - #### PROPERTY_ONE_PAGE_PER_SHEET

          public static final java.lang.String PROPERTY_ONE_PAGE_PER_SHEET

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_ONE_PAGE_PER_SHEET`.
      See Also:
        Constant Field Values

    - #### IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

          public static final JRXlsAbstractExporterParameter IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

      Deprecated. Replaced by `XlsReportConfiguration.isRemoveEmptySpaceBetweenRows()`.

    - #### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

          public static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`.
      See Also:
        Constant Field Values

    - #### IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

          public static final JRXlsAbstractExporterParameter IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

      Deprecated. Replaced by `XlsReportConfiguration.isRemoveEmptySpaceBetweenColumns()`.

    - #### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

          public static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS`.
      See Also:
        Constant Field Values

    - #### IS_WHITE_PAGE_BACKGROUND

          public static final JRXlsAbstractExporterParameter IS_WHITE_PAGE_BACKGROUND

      Deprecated. Replaced by `XlsReportConfiguration.isWhitePageBackground()`.

    - #### PROPERTY_WHITE_PAGE_BACKGROUND

          public static final java.lang.String PROPERTY_WHITE_PAGE_BACKGROUND

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_WHITE_PAGE_BACKGROUND`.
      See Also:
        Constant Field Values

    - #### IS_DETECT_CELL_TYPE

          public static final JRXlsAbstractExporterParameter IS_DETECT_CELL_TYPE

      Deprecated. Replaced by `XlsReportConfiguration.isDetectCellType()`.

    - #### PROPERTY_DETECT_CELL_TYPE

          public static final java.lang.String PROPERTY_DETECT_CELL_TYPE

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_DETECT_CELL_TYPE`.
      See Also:
        Constant Field Values

    - #### SHEET_NAMES

          public static final JRXlsAbstractExporterParameter SHEET_NAMES

      Deprecated. Replaced by `XlsReportConfiguration.getSheetNames()`.

    - #### PROPERTY_SHEET_NAMES_PREFIX

          public static final java.lang.String PROPERTY_SHEET_NAMES_PREFIX

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_SHEET_NAMES_PREFIX`.
      See Also:
        Constant Field Values

    - #### PROPERTY_SHEET_NAME

          public static final java.lang.String PROPERTY_SHEET_NAME

      Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_SHEET_NAME`.
      See Also:
        Constant Field Values

    - #### IS_FONT_SIZE_FIX_ENABLED

          public static final JRXlsAbstractExporterParameter IS_FONT_SIZE_FIX_ENABLED

      Deprecated. Replaced by `XlsReportConfiguration.isFontSizeFixEnabled()`.

    - #### IS_IMAGE_BORDER_FIX_ENABLED

          public static final JRXlsAbstractExporterParameter IS_IMAGE_BORDER_FIX_ENABLED

      Deprecated. Replaced by `XlsReportConfiguration.isImageBorderFixEnabled()`.

    - #### PROPERTY_FONT_SIZE_FIX_ENABLED

          public static final java.lang.String PROPERTY_FONT_SIZE_FIX_ENABLED

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_FONT_SIZE_FIX_ENABLED`.
      See Also:
        Constant Field Values

    - #### PROPERTY_IMAGE_BORDER_FIX_ENABLED

          public static final java.lang.String PROPERTY_IMAGE_BORDER_FIX_ENABLED

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IMAGE_BORDER_FIX_ENABLED`.
      See Also:
        Constant Field Values

    - #### FORMAT_PATTERNS_MAP

          public static final JRExporterParameter FORMAT_PATTERNS_MAP

      Deprecated. Replaced by `XlsReportConfiguration.getFormatPatternsMap()`.

    - #### MAXIMUM_ROWS_PER_SHEET

          public static final JRExporterParameter MAXIMUM_ROWS_PER_SHEET

      Deprecated. Replaced by `XlsReportConfiguration.getMaxRowsPerSheet()`.

    - #### PROPERTY_MAXIMUM_ROWS_PER_SHEET

          public static final java.lang.String PROPERTY_MAXIMUM_ROWS_PER_SHEET

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_MAXIMUM_ROWS_PER_SHEET`.
      See Also:
        Constant Field Values

    - #### IS_IGNORE_GRAPHICS

          public static final JRXlsAbstractExporterParameter IS_IGNORE_GRAPHICS

      Deprecated. Replaced by `XlsReportConfiguration.isIgnoreGraphics()`.

    - #### PROPERTY_IGNORE_GRAPHICS

          public static final java.lang.String PROPERTY_IGNORE_GRAPHICS

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IGNORE_GRAPHICS`.
      See Also:
        Constant Field Values

    - #### IS_COLLAPSE_ROW_SPAN

          public static final JRXlsAbstractExporterParameter IS_COLLAPSE_ROW_SPAN

      Deprecated. Replaced by `XlsReportConfiguration.isCollapseRowSpan()`.

    - #### PROPERTY_COLLAPSE_ROW_SPAN

          public static final java.lang.String PROPERTY_COLLAPSE_ROW_SPAN

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_COLLAPSE_ROW_SPAN`.
      See Also:
        Constant Field Values

    - #### IS_IGNORE_CELL_BORDER

          public static final JRXlsAbstractExporterParameter IS_IGNORE_CELL_BORDER

      Deprecated. Replaced by `XlsReportConfiguration.isIgnoreCellBorder()`.

    - #### PROPERTY_IGNORE_CELL_BORDER

          public static final java.lang.String PROPERTY_IGNORE_CELL_BORDER

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IGNORE_CELL_BORDER`.
      See Also:
        Constant Field Values

    - #### IS_IGNORE_CELL_BACKGROUND

          public static final JRXlsAbstractExporterParameter IS_IGNORE_CELL_BACKGROUND

      Deprecated. Replaced by `XlsReportConfiguration.isIgnoreCellBackground()`.

    - #### PROPERTY_IGNORE_CELL_BACKGROUND

          public static final java.lang.String PROPERTY_IGNORE_CELL_BACKGROUND

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_IGNORE_CELL_BACKGROUND`.
      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final JRXlsAbstractExporterParameter PASSWORD

      Deprecated. Replaced by `XlsReportConfiguration.getPassword()`.

    - #### PROPERTY_PASSWORD

          public static final java.lang.String PROPERTY_PASSWORD

      Deprecated. Replaced by `XlsReportConfiguration.PROPERTY_PASSWORD`.
      See Also:
        Constant Field Values

    - #### CREATE_CUSTOM_PALETTE

          public static final JRExporterParameter CREATE_CUSTOM_PALETTE

      Deprecated. Replaced by `XlsExporterConfiguration.isCreateCustomPalette()`.

    - #### PROPERTY_CREATE_CUSTOM_PALETTE

          public static final java.lang.String PROPERTY_CREATE_CUSTOM_PALETTE

      Deprecated. Replaced by `XlsExporterConfiguration.PROPERTY_CREATE_CUSTOM_PALETTE`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRXlsAbstractExporterParameter

          protected JRXlsAbstractExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com